summaryrefslogtreecommitdiff
path: root/scripts/check_db_safety
diff options
context:
space:
mode:
authorNick <nick@somerandomnick.ano>2011-07-07 16:00:12 +0000
committerNick <nick@somerandomnick.ano>2011-07-07 16:00:12 +0000
commitf0900f26b11f08f04ac3ccc1528a471412c8d3a7 (patch)
tree077086c36b2bb56776063634f57036248eb67821 /scripts/check_db_safety
parent521925ffb8f2df6c31f1c135efb40a3320db795c (diff)
downloadresdb-f0900f26b11f08f04ac3ccc1528a471412c8d3a7.tar.gz
resdb-f0900f26b11f08f04ac3ccc1528a471412c8d3a7.zip
reverting IPv6 changes because too much new complexity and no real benefit
Diffstat (limited to 'scripts/check_db_safety')
-rwxr-xr-xscripts/check_db_safety4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/check_db_safety b/scripts/check_db_safety
index a33bad3..d5e950b 100755
--- a/scripts/check_db_safety
+++ b/scripts/check_db_safety
@@ -15,6 +15,7 @@ for tld in db/dom/* ; do
domain="$(basename $dom).$(basename $tld)"
echo "There's a bad nameserver under $domain." >&2
echo "You probably don't want to run any shell scripts." >&2
+ exit 1
fi
for ns in $dom/ns/* ; do
if [ "$(cat $ns | tr -d '0-9.\n' | wc -c | tr -d ' \t')" != 0 ]; then
@@ -23,6 +24,7 @@ for tld in db/dom/* ; do
echo "There's a bad nameserver IP under $domain, for" >&2
echo " $nsname" >&2
echo "You probably don't want to run any shell scripts." >&2
+ exit 1
fi
done
done
@@ -46,6 +48,7 @@ if [ "$(ls db/ip/ | tr -d 'A-F0-9\n' | wc -c | tr -d ' \t')" != 0 ]; then
ip="$(basename $first).$(basename $second).$(basename $third).0/24"
echo "There's a bad nameserver under $ip." >&2
echo "You probably don't want to run any shell scripts." >&2
+ exit 1
fi
for ns in $third/ns/* ; do
if [ "$(cat $ns | tr -d '0-9.\n' | wc -c | tr -d ' \t')" != 0 ]; then
@@ -54,6 +57,7 @@ if [ "$(ls db/ip/ | tr -d 'A-F0-9\n' | wc -c | tr -d ' \t')" != 0 ]; then
echo "There's a bad nameserver IP under $ip, for" >&2
echo " $nsname" >&2
echo "You probably don't want to run any shell scripts." >&2
+ exit 1
fi
done
done